// StatusBarWndInsertor.h: interface for the CStatusBarWndInsertor class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STATUSBARWNDINSERTOR_H__2654243B_F7A5_11D4_B808_8AFD7ECEA91D__INCLUDED_)
#define AFX_STATUSBARWNDINSERTOR_H__2654243B_F7A5_11D4_B808_8AFD7ECEA91D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Hook.h"
#include <afxtempl.h>

/* Written by Amir Israeli January 2000,
   You may use this class , modify it , but dont remove this header.
   israelaq@wall.co.il  www.amir-israeli.tripod.com  */

class CStatusBarWndInsertor : protected CHook  
{
public:
	CStatusBarWndInsertor();
	virtual ~CStatusBarWndInsertor();
	BOOL SetStatusBar(CStatusBar *m_pStatusBar);
	BOOL SetStatusBar(HWND m_hStatusBar);

	BOOL AddWindow(CWnd *m_pWnd,int nIndex=-1);
	void RemoveWindow(CWnd *m_pWnd);
	void RemoveWindow(int nIndex=-1);

protected:

	void RemoveWindow(HWND m_hWnd);
	POSITION FindWindow(HWND m_hWnd);
	POSITION FindWindow(int nIndex=-1);
	void RemoveAt(POSITION pos);
	void RemoveAll();
	virtual LRESULT WindowProc2(UINT msg, WPARAM wp, LPARAM lp);
	void RepositionWindows();

	class CPaneWnd {
	public:
		CPaneWnd() { nIndex=-1; m_hWnd=NULL; }
		int nIndex;
		HWND m_hWnd;
	};

protected:
	CList<CPaneWnd*,CPaneWnd*> m_listWndPanes;
	
};

#endif // !defined(AFX_STATUSBARWNDINSERTOR_H__2654243B_F7A5_11D4_B808_8AFD7ECEA91D__INCLUDED_)
